#!/usr/bin/env bash

rm -rf zmk
docker build -t zmk .

git clone https://github.com/zmkfirmware/zmk.git
for p in ./patches/*.patch; do
  patch -d zmk/ -p1 < "$p"
done

docker run -it --rm -d --name zmk \
  -v "$(pwd)/zmk:/home/builder/zmk" \
  -v "$(pwd)/config:/home/builder/zmk-config" \
  zmk

docker exec -it zmk \
  bash -c 'export PATH=~/.local/bin:$PATH && \
    pip3 install -U west pyelftools && \
    wget "https://github.com/zephyrproject-rtos/sdk-ng/releases/download/v${ZSDK_VERSION}/zephyr-toolchain-arm-${ZSDK_VERSION}-linux-x86_64-setup.run" && \
    sh "zephyr-toolchain-arm-${ZSDK_VERSION}-linux-x86_64-setup.run" --quiet -- -d ~/.local/zephyr-sdk-${ZSDK_VERSION} && \
    rm "zephyr-toolchain-arm-${ZSDK_VERSION}-linux-x86_64-setup.run" && \
    cd /home/builder/zmk && west init -l app/ && west update && \
    west zephyr-export && pip3 install --user -r zephyr/scripts/requirements-base.txt'

docker commit zmk zmk
docker rm -vf zmk
docker system prune -f
