#!/usr/bin/env bash

docker run -it --rm \
  -v "$(pwd)/zmk:/home/builder/zmk" \
  -v "$(pwd)/config:/home/builder/zmk-config" \
  -v "$(pwd)/out:/home/builder/out" \
  zmk bash -c 'export PATH="~/.local/bin:$PATH" && \
    source /home/builder/zmk/zephyr/zephyr-env.sh && \
    cd /home/builder/zmk/app && \
    west build --pristine -b nice_nano_v2 -- -DZMK_CONFIG=/home/builder/zmk-config -DSHIELD=corne_left && \
    cp build/zephyr/zmk.uf2 ~/out/corne_left.uf2 && \
    west build --pristine -b nice_nano_v2 -- -DZMK_CONFIG=/home/builder/zmk-config -DSHIELD=corne_right && \
    cp build/zephyr/zmk.uf2 ~/out/corne_right.uf2'
